import {
  UserCertificationStatusConvertFrontStatusMap,
  UserCertificationAuditStatusConvertFrontStatusMap,
  UserCertificationStatus,
  UserCertificationAuditStatus,
  UserCertificationFrontStatus,
} from '@12333/constants';

export function getUserCertificationFrontStatusAdapter(
  userCertificationStatus: UserCertificationStatus,
  userCertificationAuditStatus: UserCertificationAuditStatus
): UserCertificationFrontStatus {
  if (
    Object.keys(UserCertificationAuditStatusConvertFrontStatusMap).includes(
      userCertificationAuditStatus + ''
    )
  ) {
    return UserCertificationAuditStatusConvertFrontStatusMap[userCertificationAuditStatus];
  } else {
    return UserCertificationStatusConvertFrontStatusMap[userCertificationStatus];
  }
}

export function hasCompanyBaseInfo(userDetail: API.UserInfoV2) {
  return userDetail?.customerName && userDetail?.contacter;
}
